<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sqlMap
        PUBLIC "-//ibatis.apache.org//DTD SQL Map 2.0//EN"
        "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="com.hst.task.dao.NsfwsjscDao">

    <resultMap class="com.hst.task.domain.ZhdtCkryImageDto" id="pZhdtTaskCkryimgRes">
        <result property="bsdtdjxh" column="BSDT_DJXH"/>
        <result property="ckrybm" column="CKRYBM"/>
        <result property="image" column="image"/>
    </resultMap>
    <parameterMap class="java.util.Map" id="pZhdtTaskCkryimgMap">
        <parameter property="code" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
        <parameter property="mess" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
        <parameter property="dataList" javaType="java.sql.ResultSet" jdbcType="ORACLECURSOR" mode="OUT" resultMap="pZhdtTaskCkryimgRes"/>
    </parameterMap>

    <procedure id="pZhdtTaskCkryimg" parameterMap="pZhdtTaskCkryimgMap">
        {call P_ZHDT_TASK_CKRYIMAGE(?,?,?)}
    </procedure>
    <update id="updateCkryImgZt" parameterClass="com.hst.task.domain.ZhdtCkryImageDto">
        UPDATE NSFW_JH_WH_CKRY_HEADIMG A SET  A.TBBZ=#tbbz#, A.MESS = #mess#,IMGNAME=#imgname#
        WHERE A.BSDT_DJXH = #bsdtdjxh# and ckrybm=#ckrybm#
    </update>

    <resultMap class="com.hst.task.domain.NsfwJhGt3StatusDto" id="pZhdtTaskGt3StausRes">
        <result property="bsdtdjxh" column="BSDT_DJXH"/>
        <result property="apiUrl" column="API_URL"/>
    </resultMap>
    <parameterMap class="java.util.Map" id="pZhdtTaskGt3StausPar">
        <parameter property="code" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
        <parameter property="mess" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
        <parameter property="dataList" javaType="java.sql.ResultSet" jdbcType="ORACLECURSOR" mode="OUT" resultMap="pZhdtTaskGt3StausRes"/>
    </parameterMap>

    <procedure id="pZhdtTaskGt3Staus" parameterMap="pZhdtTaskGt3StausPar">
        {call P_ZHDT_TASK_GT3_STAUS(?,?,?)}
    </procedure>
    <update id="updateNSfwJhGt3Status" parameterClass="com.hst.task.domain.NsfwJhGt3StatusDto">
        UPDATE NSFW_JH_GT3_STAUS A SET  A.RTN_CODE=#rtnCode#, A.RTN_MESS = #rtnMess#,cjsj=sysdate
        WHERE A.BSDT_DJXH = #bsdtdjxh#
    </update>


</sqlMap>